Update tool
curl --request PUT \
--url https://pria.praxislxp.com/api/admin/tool/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"argument_1": "<string>",
"argument_2": "<string>",
"argument_3": "<string>",
"argument_4": "<string>",
"argument_5": "<string>",
"argument_6": "<string>",
"isArray": true,
"rtEnabled": true,
"rtOnly": true,
"categories": []
}
'import requests
url = "https://pria.praxislxp.com/api/admin/tool/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"argument_1": "<string>",
"argument_2": "<string>",
"argument_3": "<string>",
"argument_4": "<string>",
"argument_5": "<string>",
"argument_6": "<string>",
"isArray": True,
"rtEnabled": True,
"rtOnly": True,
"categories": []
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
argument_1: '<string>',
argument_2: '<string>',
argument_3: '<string>',
argument_4: '<string>',
argument_5: '<string>',
argument_6: '<string>',
isArray: true,
rtEnabled: true,
rtOnly: true,
categories: []
})
};
fetch('https://pria.praxislxp.com/api/admin/tool/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>",
"message": "<string>"
}Admin Tools
Update tool
Updates an existing tool. Super admin only. Performs a partial update with the fields supplied in the body. Note: if the target tool does not exist the handler returns 400 (not 404).
PUT
/
api
/
admin
/
tool
/
{id}
Update tool
Authorizations
JWT token passed in x-access-token header
Path Parameters
Tool ObjectId
Body
application/json
Partial update — only fields present in the body are written. The handler calls
Tool.updateOne({_id}, body) with whatever is supplied; no field is required.
Available options:
research, productivity, creative, communication, learning Available options:
active, inactive, deleted Was this page helpful?
⌘I